APERTIUM-DESMEDIAWIKI(1)

NAME
apertium-desmediawiki - MediaWiki format processor for Apertium

SYNOPSIS
apertium-desmediawiki [input_file [output_file]]

DESCRIPTION
apertium-desmediawiki is a processor for mediawiki XML dumps (i.e., those produced using Special:Export). Data should be passed through this processor before being piped to lt-proc(1). The program takes input in the form of a text file and produces output suitable for processing with lt-proc(1). Format information (newlines, tabs, etc.) is enclosed in brackets so that lt-proc(1) treats it as whitespace between words.

OPTIONS

-h, - -help
    Display this help.

EXAMPLES
You could write the following to show how the word “gener” is analysed:
    echo "gener" | apertium-destxt | lt-proc ca-es.automorf.bin

SEE ALSO
apertium(1), apertium-deshtml(1), apertium-desrtf(1), apertium-destxt(1), lt-proc(1)

COPYRIGHT
Copyright © 2005, 2006 Universitat d'Alacant / Universidad de Alicante. This is free software. You may redistribute copies of it under the terms of the GNU General Public License: https://www.gnu.org/licenses/gpl.html.

BUGS
Complicated links – [[page|alternative text]], [[link]]s, etc. are not supported.

The mediawiki parser has special support for mixing apostrophes and apostrophes as formatting. This is not supported either.